OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PColPGeom

# PColPGeom_HArray1OfBezierCurve Class Reference

`#include <PColPGeom_HArray1OfBezierCurve.hxx>`

## Public Member Functions
Standard_EXPORT | PColPGeom_HArray1OfBezierCurve (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | PColPGeom_HArray1OfBezierCurve (const Standard_Integer Low, const Standard_Integer Up, const Handle(PGeom_BezierCurve)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(PGeom_BezierCurve)&Value)
Standard_Integer | Upper () const
Standard_EXPORT Handle_PGeom_BezierCurve | Value (const Standard_Integer Index) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PColPGeom_HArray1OfBezierCurve ()
| PColPGeom_HArray1OfBezierCurve (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColPGeom_HArray1OfBezierCurveLowerBound () const
void | _CSFDB_SetPColPGeom_HArray1OfBezierCurveLowerBound (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColPGeom_HArray1OfBezierCurveUpperBound () const
void | _CSFDB_SetPColPGeom_HArray1OfBezierCurveUpperBound (const Standard_Integer p)
const PColPGeom_FieldOfHArray1OfBezierCurve & | _CSFDB_GetPColPGeom_HArray1OfBezierCurveData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Member Functions
Standard_EXPORT PColPGeom_FieldOfHArray1OfBezierCurve | Field () const
Standard_EXPORT Standard_Address | Datas () const
## Private Attributes
Standard_Integer | LowerBound
Standard_Integer | UpperBound
PColPGeom_FieldOfHArray1OfBezierCurve | Data

## Constructor & Destructor Documentation

Standard_EXPORT PColPGeom_HArray1OfBezierCurve::PColPGeom_HArray1OfBezierCurve | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT PColPGeom_HArray1OfBezierCurve::PColPGeom_HArray1OfBezierCurve | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(PGeom_BezierCurve)& | V
| ) |

PColPGeom_HArray1OfBezierCurve::PColPGeom_HArray1OfBezierCurve | ( |  | ) | `[inline]`

PColPGeom_HArray1OfBezierCurve::PColPGeom_HArray1OfBezierCurve | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PColPGeom_FieldOfHArray1OfBezierCurve& PColPGeom_HArray1OfBezierCurve::_CSFDB_GetPColPGeom_HArray1OfBezierCurveData | ( |  | ) | const`[inline]`

Standard_Integer PColPGeom_HArray1OfBezierCurve::_CSFDB_GetPColPGeom_HArray1OfBezierCurveLowerBound | ( |  | ) | const`[inline]`

Standard_Integer PColPGeom_HArray1OfBezierCurve::_CSFDB_GetPColPGeom_HArray1OfBezierCurveUpperBound | ( |  | ) | const`[inline]`

void PColPGeom_HArray1OfBezierCurve::_CSFDB_SetPColPGeom_HArray1OfBezierCurveLowerBound | ( | const Standard_Integer | p | ) | `[inline]`

void PColPGeom_HArray1OfBezierCurve::_CSFDB_SetPColPGeom_HArray1OfBezierCurveUpperBound | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Address PColPGeom_HArray1OfBezierCurve::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PColPGeom_FieldOfHArray1OfBezierCurve PColPGeom_HArray1OfBezierCurve::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PColPGeom_HArray1OfBezierCurve::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PColPGeom_HArray1OfBezierCurve::Length | ( |  | ) | const

Standard_Integer PColPGeom_HArray1OfBezierCurve::Lower | ( |  | ) | const

Standard_EXPORT void PColPGeom_HArray1OfBezierCurve::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(PGeom_BezierCurve)& | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PColPGeom_HArray1OfBezierCurve::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PColPGeom_HArray1OfBezierCurve::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PColPGeom_HArray1OfBezierCurve::Upper | ( |  | ) | const

Standard_EXPORT Handle_PGeom_BezierCurve PColPGeom_HArray1OfBezierCurve::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

PColPGeom_FieldOfHArray1OfBezierCurve PColPGeom_HArray1OfBezierCurve::Data`[private]`

Standard_Integer PColPGeom_HArray1OfBezierCurve::LowerBound`[private]`

Standard_Integer PColPGeom_HArray1OfBezierCurve::UpperBound`[private]`

The documentation for this class was generated from the following file:

- PColPGeom_HArray1OfBezierCurve.hxx